com.streambase.sb.operator

## Class TypecheckException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.sb.StreamBaseException
      - - com.streambase.sb.operator.TypecheckException

- All Implemented Interfaces:
    LocatedItem, Serializable
  Direct Known Subclasses:
    ApplicationValidationException, DbConnectTypecheckException, Operator.PropertyTypecheckException, SchemaMismatchException, SqlTypecheckException

      public class TypecheckException
      extends StreamBaseException

  May be thrown when an error occurs during an Operator's typecheck() method. Usually means a parameter or input schema is incorrect.

  Since 6.5, Operator classes may locate typecheck exceptions thrown from an `Operator` by using `Operator.PropertyTypecheckException` instead of this class, allowing StreamBase Studio to place the error message alongside that property's UI widget.

  See Also:
    `Operator.PropertyTypecheckException`, `Operator.typecheck()`, `Operator.setOutputSchema(int, Schema)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypecheckException(LocatedItem loc, String msg)` Constructs a located TypecheckException with the given message.
    `TypecheckException(LocatedItem loc, String msg, Throwable cause)` Constructs a located TypecheckException with the given message and cause.
    `TypecheckException(LocatedItem loc, Throwable cause)` Constructs a TypecheckException with the given cause and a message of (cause==null ? null : cause.toString()).
    `TypecheckException(StreamBaseException cause)`
    `TypecheckException(String msg)` Constructs a TypecheckException with the given message
    `TypecheckException(String msg, Throwable cause)` Constructs a TypecheckException with the given message and cause
    `TypecheckException(Throwable cause)` Constructs a TypecheckException with the given cause and a message of (cause==null ? null : cause.toString())

  - ### Method Summary

    - ### Methods inherited from class com.streambase.sb.StreamBaseException

      `asXmlStringSingle, asXmlStringStrict, asXmlStringStrict, equals, getParams, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.sb.util.LocatedItem

      `getLocation`

- - ### Constructor Detail

    - #### TypecheckException

          public TypecheckException(String msg)

      Constructs a TypecheckException with the given message
      Parameters:
        `msg` - message describing this exception

    - #### TypecheckException

          public TypecheckException(String msg,
                                    Throwable cause)

      Constructs a TypecheckException with the given message and cause
      Parameters:
        `msg` - message describing this exception
        `cause` - the cause of this exception. May be null, indicating that the cause is nonexistent or unknown.

    - #### TypecheckException

          public TypecheckException(Throwable cause)

      Constructs a TypecheckException with the given cause and a message of (cause==null ? null : cause.toString())
      Parameters:
        `cause` - the cause of this exception. May be null, indicating that the cause is nonexistent or unknown.

    - #### TypecheckException

          public TypecheckException(StreamBaseException cause)

    - #### TypecheckException

          public TypecheckException(LocatedItem loc,
                                    String msg,
                                    Throwable cause)

      Constructs a located TypecheckException with the given message and cause. Operators should first consider using `Operator.PropertyTypecheckException` with its (String, String, Throwable) constructor instead.
      Parameters:
        `loc` - location scoping this exception, used to provide better error reporting
        `msg` - message describing this exception
        `cause` - the cause of this exception. May be null, indicating that the cause is nonexistent or unknown.
      Since:
        6.5

    - #### TypecheckException

          public TypecheckException(LocatedItem loc,
                                    String msg)

      Constructs a located TypecheckException with the given message. Operators should first consider using `Operator.PropertyTypecheckException` with its (String, String) constructor instead.
      Parameters:
        `loc` - location scoping this exception, used to provide better error reporting
        `msg` - message describing this exception
      Since:
        6.5

    - #### TypecheckException

          public TypecheckException(LocatedItem loc,
                                    Throwable cause)

      Constructs a TypecheckException with the given cause and a message of (cause==null ? null : cause.toString()). Operators should first consider using `Operator.PropertyTypecheckException` with its (String, Throwable) constructor instead.
      Parameters:
        `loc` - location scoping this exception, used to provide better error reporting
        `cause` - the cause of this exception. May be null, indicating that the cause is nonexistent or unknown.
      Since:
        6.5

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.